Talk:Voicenote

From Openmoko

(Difference between revisions)
Jump to: navigation, search
(copy paste from the ML)
 
(4 intermediate revisions by one user not shown)
Line 3: Line 3:
 
I (kimaidou) copy/paste the comments I had on the community mailing list
 
I (kimaidou) copy/paste the comments I had on the community mailing list
  
****
+
== enable job control ==
I think 44100 Hz is overkill for something like this. 8 kHz ought to be
+
enough and would save a lot of disk space. I would have also suggested a
+
mono recording, but I'm not sure that is supported.
+
 
+
 
+
****
+
 
You should use "kill %1" instead, this will only kill the instance you
 
You should use "kill %1" instead, this will only kill the instance you
 
just started (and TERM is the default). For that, you need to enable job
 
just started (and TERM is the default). For that, you need to enable job
Line 17: Line 11:
 
Result :
 
Result :
  
#!/bin/bash
+
#!/bin/bash
# Exit on error
+
# Exit on error
# Enable job control
+
# Enable job control
set -em
+
set -em
zenity --question --title="Voice-note" --text="Click Validate to START
+
recording"; gostart=$?
+
  
if [ "$gostart" = 1 ]
+
........
  then
+
      echo "Operation canceled"
+
      exit 1
+
  else
+
      echo "Recording..."
+
fi
+
alsactl -f /usr/share/openmoko/scenarios/voip-handset.state restore
+
arecord -D hw -f cd  -v -t wav ~/rec-$(date +%Y-%m-%d-%H-%M).wav &
+
zenity --info --title="Voice-note" --text="Click Validate to STOP recording"
+
  
# Kill arecord
+
# Kill arecord
kill %1
+
kill %1
alsactl -f /usr/share/openmoko/scenarios/gsmhandset.state restore
+
zenity --info --title="Voice note" --text="Your voice-note has been
+
recorded"
+
  
#END OF FILE
 
  
 +
== other ? ==
  
****
+
Would you be interested in taking part in the Call Recorder cum Dictaphone Application for the Freerunner Competition (http://openmoko.cofundos.org/project.php?id=154) as you have already done a lot of work on voice recording
 +
--[[User:Rakshat|Rakshat]] 12:58, 19 March 2009 (UTC)

Latest revision as of 14:58, 19 March 2009

Please add any idea / comment / code sample here

I (kimaidou) copy/paste the comments I had on the community mailing list

[edit] enable job control

You should use "kill %1" instead, this will only kill the instance you just started (and TERM is the default). For that, you need to enable job control (set -m) + remove the &

Result :

#!/bin/bash
# Exit on error
# Enable job control
set -em

........

# Kill arecord
kill %1


[edit] other ?

Would you be interested in taking part in the Call Recorder cum Dictaphone Application for the Freerunner Competition (http://openmoko.cofundos.org/project.php?id=154) as you have already done a lot of work on voice recording --Rakshat 12:58, 19 March 2009 (UTC)

Personal tools

Please add any idea / comment / code sample here

I (kimaidou) copy/paste the comments I had on the community mailing list

    I think 44100 Hz is overkill for something like this. 8 kHz ought to be enough and would save a lot of disk space. I would have also suggested a mono recording, but I'm not sure that is supported.


      You should use "kill %1" instead, this will only kill the instance you just started (and TERM is the default). For that, you need to enable job control (set -m) + remove the &

      Result :

      1. !/bin/bash
      2. Exit on error
      3. Enable job control

      set -em zenity --question --title="Voice-note" --text="Click Validate to START recording"; gostart=$?

      if [ "$gostart" = 1 ]

        then
            echo "Operation canceled"
            exit 1
        else
            echo "Recording..."
      

      fi alsactl -f /usr/share/openmoko/scenarios/voip-handset.state restore arecord -D hw -f cd -v -t wav ~/rec-$(date +%Y-%m-%d-%H-%M).wav & zenity --info --title="Voice-note" --text="Click Validate to STOP recording"

      1. Kill arecord

      kill %1 alsactl -f /usr/share/openmoko/scenarios/gsmhandset.state restore zenity --info --title="Voice note" --text="Your voice-note has been recorded"

      1. END OF FILE